- connection: local
  gather_facts: false
  hosts: localhost
  tasks:
  - git:
      clone: true
      dest: /tmp/diaoqianyaner-web
      force: true
      key_file: /Users/gaox/PycharmProjects/CQCICD/id_rsa
      repo: git@gitlab.com:chuangqi/diaoqianyaner-web.git
      update: true
      version: master
    name: Update diaoqianyaner-web from gitlab.
  - name: Install dependencies package with yarn
    yarn:
      global: false
      path: /tmp/diaoqianyaner-web
  - args:
      chdir: /tmp/diaoqianyaner-web
    name: Webpack diaoqianyaner-web
    shell: yarn build
  - archive:
      dest: /tmp/release/diaoqianyaner-web-24044fbad7e72c0883bc7144cd89f10304ee0b73
      format: tar
      path: /tmp/diaoqianyaner-web
    name: Archive the diaoqianyaner-web folder to a tar package
